### Installation

After cloning, virtual environment with python3 needs to be created.

Create virtual environment with python3 and requirements file:

```bash
virtualenv ~/venv/socket -p python3
source ~/venv/socket/bin/activate
pip install -r requirements.txt
```

Update `serviceScripts/env.sh` to point to correct IPs. For a server, IP is available as
```bash
ip add show
```
Select the ip with interface that has the highest probability that it points to a physical interface. In most systems this is eth0.

Run `open_port.sh` to modify firewall to accept connection on the designated port.

Run `start.sh` to start the server. Look for output/log at `$HOME/logs/socketServer.log`.

